Index: plugins/dcCKEditor/inc/_config.php
===================================================================
--- plugins/dcCKEditor/inc/_config.php	(revision 3052)
+++ plugins/dcCKEditor/inc/_config.php	(revision 3090)
@@ -30,4 +30,7 @@
 			$dcckeditor_textcolor_button = (empty($_POST['dcckeditor_textcolor_button']))?false:true;
 			$core->blog->settings->dcckeditor->put('textcolor_button', $dcckeditor_textcolor_button, 'boolean');
+
+			$dcckeditor_background_textcolor_button = (empty($_POST['dcckeditor_background_textcolor_button']))?false:true;
+			$core->blog->settings->dcckeditor->put('background_textcolor_button', $dcckeditor_background_textcolor_button, 'boolean');
 
 			$dcckeditor_cancollapse_button = (empty($_POST['dcckeditor_cancollapse_button']))?false:true;
Index: plugins/dcCKEditor/index.php
===================================================================
--- plugins/dcCKEditor/index.php	(revision 3052)
+++ plugins/dcCKEditor/index.php	(revision 3090)
@@ -20,4 +20,5 @@
 $dcckeditor_list_buttons = $core->blog->settings->dcckeditor->list_buttons;
 $dcckeditor_textcolor_button = $core->blog->settings->dcckeditor->textcolor_button;
+$dcckeditor_background_textcolor_button = $core->blog->settings->dcckeditor->background_textcolor_button;
 $dcckeditor_cancollapse_button = $core->blog->settings->dcckeditor->cancollapse_button;
 $dcckeditor_format_select = $core->blog->settings->dcckeditor->format_select;
Index: plugins/dcCKEditor/tpl/index.tpl
===================================================================
--- plugins/dcCKEditor/tpl/index.tpl	(revision 3052)
+++ plugins/dcCKEditor/tpl/index.tpl	(revision 3090)
@@ -33,4 +33,8 @@
 	  <?php echo form::checkbox('dcckeditor_textcolor_button', 1, $dcckeditor_textcolor_button); ?>
 	  <label class="classic" for="dcckeditor_textcolor_button">&nbsp;<?php echo __('Add text color button');?></label>
+	</p>
+	<p>
+	  <?php echo form::checkbox('dcckeditor_background_textcolor_button', 1, $dcckeditor_background_textcolor_button); ?>
+	  <label class="classic" for="dcckeditor_background_textcolor_button">&nbsp;<?php echo __('Add background text color button');?></label>
 	</p>
 	<p>
Index: plugins/maintenance/index.php
===================================================================
--- plugins/maintenance/index.php	(revision 2849)
+++ plugins/maintenance/index.php	(revision 3073)
@@ -158,5 +158,5 @@
 			html::escapeHTML($task->name())=> ''
 		)
-	);
+	).dcPage::notices();
 
 	// content
@@ -193,5 +193,5 @@
 			__('Maintenance') => ''
 		)
-	);
+	).dcPage::notices();
 
 	// Simple task (with only a button to start it)
Index: plugins/pages/class.listpage.php
===================================================================
--- plugins/pages/class.listpage.php	(revision 2566)
+++ plugins/pages/class.listpage.php	(revision 3089)
@@ -32,12 +32,22 @@
 			$html_block =
 			'<div class="table-outer">'.
-			'<table class="maximal dragable"><thead><tr>'.
-			'<th colspan="3" scope="col" class="first">'.__('Title').'</th>'.
-			'<th scope="col">'.__('Date').'</th>'.
-			'<th scope="col">'.__('Author').'</th>'.
-			'<th scope="col"><img src="images/comments.png" alt="" title="'.__('Comments').'" /><span class="hidden">'.__('Comments').'</span></th>'.
-			'<th scope="col"><img src="images/trackbacks.png" alt="" title="'.__('Trackbacks').'" /><span class="hidden">'.__('Trackbacks').'</span></th>'.
-			'<th scope="col">'.__('Status').'</th>'.
-			'</tr></thead><tbody id="pageslist">%s</tbody></table></div>';
+			'<table class="maximal dragable"><thead><tr>';
+
+			$cols = array(
+				'title' =>			'<th colspan="3" scope="col" class="first">'.__('Title').'</th>',
+				'date' =>			'<th scope="col">'.__('Date').'</th>',
+				'author' =>			'<th scope="col">'.__('Author').'</th>',
+				'comments' =>		'<th scope="col"><img src="images/comments.png" alt="" title="'.__('Comments').
+									'" /><span class="hidden">'.__('Comments').'</span></th>',
+				'trackbacks' =>		'<th scope="col"><img src="images/trackbacks.png" alt="" title="'.__('Trackbacks').
+									'" /><span class="hidden">'.__('Trackbacks').'</span></th>',
+				'status' =>			'<th scope="col">'.__('Status').'</th>'
+			);
+
+			$cols = new ArrayObject($cols);
+			$this->core->callBehavior('adminPagesListHeader',$this->core,$this->rs,$cols);
+
+			$html_block .= '<tr>'.implode(iterator_to_array($cols)).
+				'</tr></thead><tbody id="pageslist">%s</tbody></table></div>';
 
 			if ($enclose_block) {
@@ -102,16 +112,24 @@
 		' id="p'.$this->rs->post_id.'">';
 
-		$res .=
-		'<td class="nowrap handle minimal">'.form::field(array('order['.$this->rs->post_id.']'),2,3,$count+1,'position','',false,'title="'.sprintf(__('position of %s'),html::escapeHTML($this->rs->post_title)).'"').'</td>'.
-		'<td class="nowrap">'.
-		form::checkbox(array('entries[]'),$this->rs->post_id,$checked,'','',!$this->rs->isEditable(),'title="'.__('Select this page').'"').'</td>'.
-		'<td class="maximal" scope="row"><a href="'.$this->core->getPostAdminURL($this->rs->post_type,$this->rs->post_id).'">'.
-		html::escapeHTML($this->rs->post_title).'</a></td>'.
-		'<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$this->rs->post_dt).'</td>'.
-		'<td class="nowrap">'.$this->rs->user_id.'</td>'.
-		'<td class="nowrap count">'.$this->rs->nb_comment.'</td>'.
-		'<td class="nowrap count">'.$this->rs->nb_trackback.'</td>'.
-		'<td class="nowrap status">'.$img_status.' '.$selected.' '.$protected.' '.$attach.'</td>'.
-		'</tr>';
+		$cols = array(
+			'position' =>		'<td class="nowrap handle minimal">'.
+								form::field(array('order['.$this->rs->post_id.']'),2,3,$count+1,'position','',false,'title="'.sprintf(__('position of %s'),html::escapeHTML($this->rs->post_title)).'"').'</td>',
+			'check' =>			'<td class="nowrap">'.
+								form::checkbox(array('entries[]'),$this->rs->post_id,$checked,'','',!$this->rs->isEditable(),'title="'.__('Select this page').'"').'</td>',
+			'title' =>			'<td class="maximal" scope="row"><a href="'.
+								$this->core->getPostAdminURL($this->rs->post_type,$this->rs->post_id).'">'.
+								html::escapeHTML($this->rs->post_title).'</a></td>',
+			'date' =>			'<td class="nowrap">'.dt::dt2str(__('%Y-%m-%d %H:%M'),$this->rs->post_dt).'</td>',
+			'author' =>			'<td class="nowrap">'.$this->rs->user_id.'</td>',
+			'comments' =>		'<td class="nowrap count">'.$this->rs->nb_comment.'</td>',
+			'trackbacks' =>		'<td class="nowrap count">'.$this->rs->nb_trackback.'</td>',
+			'status' =>			'<td class="nowrap status">'.$img_status.' '.$selected.' '.$protected.' '.$attach.'</td>'
+		);
+
+		$cols = new ArrayObject($cols);
+		$this->core->callBehavior('adminPagesListValue',$this->core,$this->rs,$cols);
+
+		$res .= implode(iterator_to_array($cols));
+		$res .= '</tr>';
 
 		return $res;
Index: plugins/userPref/index.php
===================================================================
--- plugins/userPref/index.php	(revision 2824)
+++ plugins/userPref/index.php	(revision 3091)
@@ -132,5 +132,5 @@
 '<thead>'.
 '<tr>'."\n".
-'  <th class="nowrap">Setting ID</th>'."\n".
+'  <th class="nowrap">'.__('Setting ID').'</th>'."\n".
 '  <th>'.__('Value').'</th>'."\n".
 '  <th>'.__('Type').'</th>'."\n".
